; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_INITIALISIEREN:
	cbi (WIND_DDR) ,(WIND_PIN_NR)		; auf EINGANG	
	sbi (WIND_PORT),(WIND_PIN_NR)		; Pull-Up ein	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_CLEAR:
	ldi temp1,LOW (1000)				; VT	
	ldi temp2,HIGH(1000)				; VT	
	mov ssVT_L, temp1
	mov ssVT_H, temp2
	clr IMPULSE
	clr FREQUENZ
	clr FREQUENZ_MAX
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_MAX_BERECHNUNG:
	mov temp1,FREQUENZ
	mov temp2,FREQUENZ_MAX
	cp temp1,temp2
	brlo WIND_MAX_FERTIG
	breq WIND_MAX_FERTIG
;-------------------------------------------------------------------------------
	tst FREQUENZ_MAX	
	brne WIND_MAX_NO_BEEP
	rcall BEEP_LANG
WIND_MAX_NO_BEEP:
	mov FREQUENZ_MAX,temp1		; save
	ret
;-------------------------------------------------------------------------------
WIND_MAX_FERTIG:
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_ANZEIGE:
	rcall BAR_ON
	rcall SLEEP_1ms	
	rcall BAR_OFF
	rcall WIND_LED
	rcall SLEEP_5ms
	rcall WIND_LED_MAX
	rcall SLEEP_1ms
	rcall BAR_OFF
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_LED:
	mov temp,FREQUENZ
	rjmp WIND_LED_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_LED_MAX:
	mov temp,FREQUENZ_MAX
	rjmp WIND_LED_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INP: temp																		
WIND_LED_TEMP:
	cpi temp,(SCHWELLE_MAX)
	brsh WIND_LED_UEBERLAUF
	cpi temp,(SCHWELLE19)
	brsh WIND_LED19
	cpi temp,(SCHWELLE18)
	brsh WIND_LED18
	cpi temp,(SCHWELLE17)
	brsh WIND_LED17
	cpi temp,(SCHWELLE16)
	brsh WIND_LED16
	cpi temp,(SCHWELLE15)
	brsh WIND_LED15
	cpi temp,(SCHWELLE14)
	brsh WIND_LED14
	cpi temp,(SCHWELLE13)
	brsh WIND_LED13
	cpi temp,(SCHWELLE12)
	brsh WIND_LED12
	cpi temp,(SCHWELLE11)
	brsh WIND_LED11
	cpi temp,(SCHWELLE10)
	brsh WIND_LED10
	cpi temp,(SCHWELLE9)
	brsh WIND_LED9
	cpi temp,(SCHWELLE8)
	brsh WIND_LED8
	cpi temp,(SCHWELLE7)
	brsh WIND_LED7
	cpi temp,(SCHWELLE6)
	brsh WIND_LED6
	cpi temp,(SCHWELLE5)
	brsh WIND_LED5
	cpi temp,(SCHWELLE4)
	brsh WIND_LED4
	cpi temp,(SCHWELLE3)
	brsh WIND_LED3
	cpi temp,(SCHWELLE2)
	brsh WIND_LED2
	cpi temp,(SCHWELLE1)
	brsh WIND_LED1
	cpi temp,(SCHWELLE0)
	brsh WIND_LED0
	ret
;-------------------------------------------------------------------------------
WIND_LED0: 	rjmp BAR0
WIND_LED1:	rjmp BAR1
WIND_LED2:	rjmp BAR2
WIND_LED3:	rjmp BAR3
WIND_LED4:	rjmp BAR4
WIND_LED5:	rjmp BAR5
WIND_LED6:	rjmp BAR6
WIND_LED7:	rjmp BAR7
WIND_LED8:	rjmp BAR8
WIND_LED9:	rjmp BAR9
WIND_LED10: rjmp BAR10
WIND_LED11:	rjmp BAR11
WIND_LED12:	rjmp BAR12
WIND_LED13:	rjmp BAR13
WIND_LED14:	rjmp BAR14
WIND_LED15:	rjmp BAR15
WIND_LED16:	rjmp BAR16
WIND_LED17:	rjmp BAR17
WIND_LED18:	rjmp BAR18
WIND_LED19:	rjmp BAR19
WIND_LED_UEBERLAUF:
	LED_ROT_ON
	rcall BAR19
	rcall BEEP_KURZ
	LED_ROT_OFF
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
